| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions
Tp::Callback6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 > Class Template Reference
Utililty classes

Callback with 6 arguments. More...

`#include <TelepathyQt/Callbacks>`

Inherits Tp::BaseCallback.

List of all members.

## Public Types

- typedef R(* FunctionType )(Arg1, Arg2, Arg3, Arg4, Arg5, Arg6)
- typedef R ResultType

## Public Member Functions

- Callback6 ()
- template<class Functor > Callback6 (const Functor &functor)
- ResultType operator() (Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4, Arg5 a5, Arg6 a6) const

## Detailed Description

### template<class R, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>
class Tp::Callback6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >

Callback with 6 arguments.

See Callbacks Usage

## Member Typedef Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

typedef R(* Tp::Callback6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::FunctionType)(Arg1, Arg2, Arg3, Arg4, Arg5, Arg6)

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

typedef R Tp::Callback6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::ResultType

## Constructor & Destructor Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

Tp::Callback6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::Callback6 | ( |  | ) | `[inline]`

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >
template<class Functor >

Tp::Callback6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::Callback6 | ( | const Functor & | functor | ) | `[inline]`

## Member Function Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

ResultType Tp::Callback6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4,
|  | Arg5 | a5,
|  | Arg6 | a6
| ) |  | const`[inline]`